Entwurf Flächenverbinder

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Facebinder and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft ShapeString.svg ShapeString Vorherige:
Nächste: Bezier Curve Draft BezCurve.svg Arrow-right.svg

Draft Facebinder.svg Draft Facebinder/de

Menüeintrag
Draft → Facebinder
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
F F
In der Version eingeführt
-
Siehe auch
None


Beschreibung

Das Flächenverbinder Werkzeug erstellt ein Oberflächenobjekt aus den ausgewählten Flächen eines festen Objekts. Es ist parametrisch, d.h. wenn Sie das Originalobjekt ändern, aktualisiert sich der Flächenverbund entsprechend. Wenn Sie den Flächenverbund bewegen und drehen, bleibt er mit den Originalflächen verbunden.

Er kann verwendet werden, um eine Extrusion aus einer Sammlung von Flächen aus anderen Objekten zu erstellen. Eine typische Anwendung ist im Architektur Design, um ein Objekt zu bauen, das mehrere Wände bedeckt, z.B. eine Tapete oder ein Wandabschluss.

Draft facebinder example.jpg

Flächenverbinder der aus den Flächen von Massivwänden entsteht.


Anwendung

  1. Eine Fläche greifen, oder halten Ctrl und mehrere Flächen aus Volumenkörper Objekten greifen.
  2. Drücke die Draft Facebinder.svg Flächenbinder Taste, oder drücke F dann F Tasten.

Der Flächenverbinder kann durch Doppelklick auf das Element in der Baumansicht bearbeitet werden. Dann können die Flächen, die Teil des Objekts sind, geändert werden.

  • Um eine Fläche hinzuzufügen, klicke in der 3D Ansicht auf eine Fläche eines Volumenkörper Objekts und dann auf die Schaltfläche Arch Add.svg Hinzufügen Schaltfläche.
  • Um eine Fläche zu entfernen, wähle eines der Unterelemente in der Liste aus, und klicke dann auf die Schaltfläche Arch Remove.svg Entfernen Schaltfläche.
  • Drücke Esc oder die Taste OK, um die Bearbeitung abzuschließen.

Optionen =

Dieses Objekt hat keine Optionen, wenn es erstellt wird. Nur ausgewählte Flächen werden für die Erstellung des Flächenverbinder Objekts verwendet.

Eigenschaften =

Daten

  • Daten-EigenschaftExtrusion: Gibt eine Extrusionsdicke an, die auf alle Flächen der Form angewendet werden soll.
  • Daten-EigenschaftTeiler Entfernen: Wenn er True ist, versucht er, die internen Schnitte des Flächenbinders beim Extrudieren zu verschmelzen.
  • Daten-EigenschaftSew: Wenn es True ist, versucht es, beim Extrudieren einen topologischen Nähvorgang auf dem Flächenbinder durchzuführen.
  • Daten-EigenschaftVersatz: gibt einen Versatzabstand an, der vor dem Extrudieren zwischen dem Flächenbinder und den Originalflächen anzubringen ist.
  • Daten-EigenschaftFläche: die Gesamtfläche dieses Flächenbinders.

Ansicht

  • Ansicht EigenschaftMuster: spezifiziert ein Entwurfs Muster, mit dem die Fläche der Form ausgefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn Ansicht EigenschaftDisplay Mode "Flat Lines" ist.
  • Ansicht EigenschaftMuster Grösse: gibt die Größe des Muster Grösse an.

Skriptsprache

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Flächenverbinder Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

Facebinder = makeFacebinder(selectionset)
  • Erstellt ein Facebinder Objekt aus dem angegebenen selectionset, das eine Liste von SelectionObject ist, wie sie von FreeCADGui.Selection.getSelectionEx() zurückgegeben wird. Es werden nur ausgewählte Flächen berücksichtigt.
    • selectionset kann auch ein PropertyLinkSubList sein.

Eine PropertyLinkSubList ist eine Liste von Tupeln; jedes Tupel enthält als erstes Element ein object, und als zweites Element eine Liste (oder Tupel) von Zeichenketten; diese Zeichenketten zeigen die Namen der Unterelemente (Flächen) dieses Objekts an.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

Die Dicke des Flächenverbinders kann durch Überschreiben des Attributs Extrusion hinzugefügt werden; der Wert wird in Millimetern eingegeben.

Die Platzierung des Flächenverbinders kann durch Überschreiben des Attributs Placement oder durch individuelles Überschreiben der Attribute Placement.Base und Placement.Rotation geändert werden.

Beispiel:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Draft ShapeString.svg ShapeString Vorherige:
Nächste: Bezier Curve Draft BezCurve.svg Arrow-right.svg